Lease the next CMS action for 120 seconds
Lease the next CMS action for 120 seconds. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.
Операция для полного ключа
Требует полного ключа; поисковый или браузерный ключ получит 403. См. Ключи и кредиты.
Lease the next CMS action for 120 seconds. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.
Header Parameters
X-AACSEARCH-INSTALLATION-KEY*string
Length
1 <= length <= 512X-AACSEARCH-INSTALLATION-ORIGIN*string
Length
1 <= length <= 512Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/cms/runtime/commands/claim" \ -H "X-AACSEARCH-INSTALLATION-KEY: string" \ -H "X-AACSEARCH-INSTALLATION-ORIGIN: string"{ "command": { "id": "string", "installation_id": "string", "kind": "reindex", "store_id": "string", "source_id": "string", "status": "queued", "progress": 0, "attempts": 0, "lease_expires_at": 0, "error": "string", "created_at": 0, "updated_at": 0 }, "lease_token": "string"}Cancel a queued or running CMS action POST
Cancel a queued or running CMS action. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.
Renew a command lease or acknowledge its result PUT
Renew a command lease or acknowledge its result. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.